package com.example.switchyard.soap.transform;

import org.switchyard.annotations.Transformer;

import si.ajpes.wsprs.prsinfo.PrsDataGet;
import si.ajpes.wsprs.prsinfo.PrsDataGetResponse;

import com.example.switchyard.soap.camel.model.CheckModel;
import com.example.switchyard.soap.camel.model.CheckModelResponse;

public final class Transformator {
	
	@Transformer(from = "java:com.example.switchyard.soap.camel.model.CheckModelResponse")
	public PrsDataGetResponse transform(CheckModelResponse from) {
		System.out.println("transforming to PrsDataGetResponse from CheckModelResponse!");
				
		PrsDataGetResponse prsDataGetResponse = new PrsDataGetResponse();		//
		prsDataGetResponse.setSRetVal(from.getEnaResponse());
		return prsDataGetResponse;
	}
	
	@Transformer(from = "java:si.ajpes.wsprs.prsinfo.PrsDataGet")
	public CheckModel transform(PrsDataGet from) {
		System.out.println("transforming to CheckModel from PrsDataGet!");
		
		CheckModel checkModel = new CheckModel();
		checkModel.setEna(from.getSRetVal());		
		return checkModel;
	}
	
}
