package com.example.switchyard.soap.camel;

import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.converter.jaxb.JaxbDataFormat;

public class CamelServiceRoute extends RouteBuilder {

	/**
	 * The Camel route is configured via this method.  The from:
	 * endpoint is required to be a SwitchYard service.
	 */
	public void configure() {
		JaxbDataFormat jaxb = new JaxbDataFormat("si.ajpes.wsprs.prsinfo");	
		
		from("switchyard://PrsInfoSoap")
		//.log("Received message for 'PrsInfoSoap' : ${body}");
		.to("switchyard://CheckTwo");
		
	}

}
